Next: Input Devices Up: CalculiX USER'S MANUAL - Previous: Getting Started Contents

#
Program Parameters

     usage: cgx [-a|-b|-c|-duns2d|-duns3d|-isaac2d|-isaac3d|-foam|-step|-stl] ->
            filename [ccxfile]
      [-v](default) read a result file in frd-format and optional a solver
          input file (ccx) in addition which provides the sets and loads
          used in the calculation.

      -a        automatic-build-mode, geometry file derived from a
                cad file is expected
      -b        build-mode, geometry file in fbd-format is expected
      -c        read an solver input file (ccx, Abaqus)
      -duns2d   read duns result files (2D)
      -duns3d   read duns result files (3D)
      -isaac2d  read isaac result files (2D)
      -isaac3d  read isaac result files (3D)
      -foam     read the OpenFOAM result directory structure
      -step     read a ascii-step file (2D only)
      -stl      read an ascii-stl file (triangles)

     special purpose options:
      -mksets       make node-sets from *DLOAD-values (setname: ''_<value>'' )
      -oldbias      convert pre-1.5 bias
      -read         forces the program to read the complete result-file at startup

If no option is provided then a result-file (frd) is assumed, see ''Result Format''.

A file containing commands or geometric informations is assumed if the option -b is specified. Such a file will be created if you use the vda2fbd or step2fbd interface or ''exit'' or ''save'' after you have created geometry. Option -a is the same as option -b but merging, defining of line-divisions and the calculation of the interior of the surfaces is done automatically and the illuminated structure is presented after startup. With option -a and -b the program will start also if no file is specified.

An input file for the solver can be read with option -c. Certain key-words are known and the affected nodes or elements are stored in sets. The default set(s) +bou(dof) store nodes which are restricted in the corresponding degree of freedom and the set(s) +dep(dof) and +ind(dof) store dependent and independent nodes used in equations.

A special case is OpenFOAM. The results are organized in a directory structure consisting of a case containing time-directories in which the result-files are stored. The user must call cgx using the case-directory (cgx -foam case). The program will then search the time-directories. The time directories must contain a time-file to be recognized. Or in other words each directory in this level containing a time-file is regarded as a result directory.

To convert fbd-files created with pre 1.5 versions start the program with the -oldbias option. This will modify the bias parameters of lines.

Next: Input Devices Up: CalculiX USER'S MANUAL - Previous: Getting Started Contents